<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_coderunner', language 'ru', version '2.9'.
 *
 * @package     qtype_coderunner
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['HIDE'] = 'Скрыть';
$string['HIDE_IF_FAIL'] = 'Скрыть, если не получится';
$string['HIDE_IF_SUCCEED'] = 'Скрыть, если успешно';
$string['SHOW'] = 'Показать';
$string['aborted'] = 'Тестирование было прервано из-за ошибки.';
$string['ace-language'] = 'Язык Ace';
$string['addingcoderunner'] = 'Добавление нового вопроса CodeRunner';
$string['advanced_customisation'] = 'Расширенная настройка';
$string['ajax_error'] = '*** ОШИБКА AJAX. НЕ СОХРАНЯЙТЕ ЭТО! ***';
$string['allok'] = 'Прошли все тесты!';
$string['allornone'] = 'Тестовый код должен быть предоставлен либо для всех тестовых примеров, либо ни для одного.';
$string['allornothing'] = 'Оценка "Все или ничего"';
$string['allornothing_help'] = 'При проверке вопроса с типом оценки "Все или ничего", все тестовые примеры должны быть выполнены, чтобы представленное решение получило какие-либо баллы. В противном случае оценка получается путем суммирования оценок за все пройденные тестовые примеры и выражения ее в виде доли от максимально возможной оценки.

Баллы для каждого тестового примера могут быть заданы только в том случае, если флажок "Все или ничего" снят.

При использовании шаблонного оценивания, который присуждает оценки деталям тестовых примеров, следует снять флажок "Всё или ничего".';
$string['allowmultiplestdins'] = 'Разрешить несколько исследований';
$string['answer'] = 'Ответ';
$string['answer_help'] = 'Образец ответа может быть введен здесь и использован для проверки автором вопроса и, возможно, показан студентам во время проверки. Он также используется скриптом bulk tester. Правильность непустого ответа проверяется при сохранении, если только не снят флажок "Проверить при сохранении".';
$string['answerbox_group'] = 'Поле ответа';
$string['answerboxlines'] = 'Строки';
$string['answerpreload'] = 'Предварительная загрузка поля ответа';
$string['answerpreload_help'] = 'Текст, приведенный здесь, будет предварительно загружен в поле ответов студента.';
$string['answerprompt'] = 'Ответ:';
$string['answerrequired'] = 'Пожалуйста, дайте заполненный ответ';
$string['asolutionis'] = 'Авторское решение:';
$string['atleastonetest'] = 'Вы должны предоставить хотя бы один тестовый пример для этого вопроса.';
$string['bad_dotdotdot'] = 'Неправильное использование "...". Должно быть в конце, после двух увеличивающихся числовых штрафов';
$string['bad_new_prototype_name'] = 'Незаконное название нового прототипа: уже используется';
$string['badcputime'] = 'Ограничение по времени процессора должно быть оставлено пустым или должно быть целым числом больше нуля';
$string['bademptyprecheck'] = 'Предварительная проверка завершилась неудачей со следующим неожиданным результатом.';
$string['badmemlimit'] = 'Ограничение памяти должно быть либо пустым, либо неотрицательным целым числом';
$string['badpenalties'] = 'Штрафной режим должен представлять собой разделенный запятыми список чисел в диапазоне [0, 100]';
$string['badquestion'] = 'Ошибка в вопросе';
$string['badsandboxparams'] = 'Поле "Другое" (параметры песочницы) должно быть либо пустым, либо допустимой записью JSON';
$string['badtemplateparams'] = 'Параметры шаблона должны быть либо пустыми, либо допустимой записью JSON';
$string['brokencombinator'] = 'Ожидалось результатов теста: {$a->numtests}, получено: {$a->numresults}. Возможно, речь идет о чрезмерной производительности или ошибке в вопросе?';
$string['brokentemplategrader'] = 'Плохой вывод из оценщика: {$a->output}. Выполнение программы могло быть прервано (например, превышены время ожидания или лимит памяти).';
$string['bulktestcontinuefromhere'] = 'Запустить снова или возобновить, начиная с этого места';
$string['bulktestindextitle'] = 'Массовое тестирование CodeRunner';
$string['bulktestrun'] = 'Запустить все тесты вопросов для всех вопросов в системе (медленно, только для администратора)';
$string['coderunner'] = 'Программный код';
$string['coderunner_help'] = 'В ответ на вопрос, который является спецификацией для фрагмента программы, функции или всей программы, отвечающий вводит исходный код на заданном компьютерном языке, который удовлетворяет спецификации.';
$string['coderunner_install_testsuite_failures'] = 'Тесты, которые не прошли';
$string['coderunner_install_testsuite_intro'] = 'Эта страница позволяет проверить правильность работы вопросов CodeRunner с примерами ответов.';
$string['coderunner_install_testsuite_noanswer'] = 'Вопросы без примера ответов';
$string['coderunner_install_testsuite_title'] = 'Набор тестов для примеров ответов CodeRunner';
$string['coderunner_install_testsuite_title_desc'] = '<a href="{$a->link}">Скрипт теста образцов ответов</a> проверяет правильность выполнения вопросов с образцами ответов.';
$string['coderunner_link'] = 'question/type/coderunner';
$string['coderunner_question_type'] = 'Тип вопроса CodeRunner:';
$string['coderunnercontexts'] = 'Контексты с вопросами CodeRunner';
$string['coderunnersettings'] = 'Настройки CodeRunner';
$string['coderunnersummary'] = 'Ответ - это программный код, который выполняется в контексте набора тестовых примеров для определения его корректности.';
$string['coderunnertype_help'] = 'Выберите язык программирования и тип вопроса. После выбора типа  ниже можно увидеть подробные сведения о типе вопроса.';
$string['columncontrols'] = 'Таблица результатов';
$string['columncontrols_help'] = 'Флажки указывают, какие столбцы таблицы результатов будут показаны студенту после подачи ответа.';
$string['confirm_proceed'] = 'Если вы сохраните этот вопрос со снятым флажком «Настроить», все сделанные настройки будут потеряны. Продолжить?';
$string['cputime'] = 'Ограничение по времени (сек)';
$string['customisation'] = 'Настройка';
$string['customisationcontrols'] = 'Настройка';
$string['customise'] = 'Настроить';
$string['datafiles_help'] = 'Любые файлы, загруженные здесь, будут добавлены в рабочий каталог при выполнении расширенной шаблонной программы. Это позволяет удобно добавлять большие данные или вспомогательные файлы.';
$string['default_penalty_regime'] = 'Штрафной режим по умолчанию';
$string['default_penalty_regime_desc'] = 'Режим штрафов по умолчанию, применяемый к новым вопросам, состоит из списка штрафных процентов, разделенных запятыми, который может оканчиваться на «, ...» для обозначения текущей арифметической прогрессии.';
$string['display'] = 'Отображать';
$string['editingcoderunner'] = 'Редактирование вопроса CodeRunner';
$string['empty_new_prototype_name'] = 'Имя нового типа вопроса не может быть пустым';
$string['emptypenaltyregime'] = 'Должен быть определен штрафной режим (начиная с версии 3.1)';
$string['enable'] = 'Включить';
$string['enable_diff_check'] = 'Включить кнопку "Показать различия"';
$string['enable_sandbox_desc'] = 'Разрешить использование указанной песочницы для запуска студенческих ответов';
$string['enablecombinator'] = 'Включить комбинатор';
$string['equalitygrader'] = 'Точное совпадение';
$string['error_loading_prototype'] = 'Ошибка загрузки прототипа. Возможно, проблемы с сетью или неработающий сервер?';
$string['errorstring-accessdenied'] = 'Доступ к песочнице запрещен';
$string['errorstring-autherror'] = 'Несанкционированное использование песочницы';
$string['errorstring-jobe400'] = 'Ошибка с песочницы сервера Jobe:';
$string['errorstring-ok'] = 'ОК';
$string['errorstring-overload'] = 'Задание не удалось запустить из-за перегрузки сервера. Может быть, попробуем еще раз в ближайшее время?';
$string['errorstring-pastenotfound'] = 'Запрос статуса несуществующей работы';
$string['errorstring-submissionfailed'] = 'Отправка в песочницу не удалась';
$string['errorstring-submissionlimitexceeded'] = 'Достигнут лимит отправки песочницы';
$string['errorstring-unknown'] = 'Непредвиденная ошибка при выполнении кода. Сервер песочницы может быть отключен или перегружен. Может быть, попробуем еще раз в ближайшее время?';
$string['errorstring-wronglangid'] = 'Запрошен несуществующий язык';
$string['expected'] = 'Ожидаемый результат';
$string['expected_help'] = 'Ожидаемый результат теста. Рассматривается шаблоном как {{TEST.expected}}.';
$string['expectedcolhdr'] = 'Ожидаемый';
$string['exportthisquestion'] = 'Экспортировать этот вопрос';
$string['exportthisquestion_help'] = 'Это создаст файл экспорта Moodle XML, содержащий только этот вопрос. Один из примеров того, когда это полезно - если вы считаете, что этот вопрос демонстрирует ошибку в CodeRunner, о которой вы хотели бы сообщить разработчикам.';
$string['extra'] = 'Дополнительные данные шаблона';
$string['extra_help'] = 'Иногда полезное дополнительное текстовое поле для использования в шаблоне, доступное как {{TEST.extra}}';
$string['fail'] = 'Неудача';
$string['failedhidden'] = 'Ваш код не прошел один или несколько скрытых тестов.';
$string['failedntests'] = 'Неудачных тестов: {$a->numerrors}';
$string['failedtesting'] = 'Неудачное тестирование.';
$string['fails'] = 'неудачи';
$string['fileheader'] = 'Поддерживаемые файлы';
$string['filloutoneanswer'] = 'Вы должны ввести исходный код, который удовлетворяет спецификации. Введенный вами код будет выполнен для определения его правильности и присвоения соответствующей оценки.';
$string['firstfailure'] = 'Первый неудачный тестовый пример: {$a}';
$string['forexample'] = 'Для примера';
$string['goodemptyprecheck'] = 'Пройдено';
$string['gotcolhdr'] = 'Получено';
$string['grader'] = 'Оценщик';
$string['grading'] = 'Оценка';
$string['gradingcontrols'] = 'Элементы управления оцениванием';
$string['hidden'] = 'Скрытый';
$string['hidedifferences'] = 'Скрыть различия';
$string['hiderestiffail'] = 'Скрыть остальные в случае неудачи';
$string['howtogetmore'] = 'Для получения более подробной информации сохраните вопрос с непроверенным параметром "Проверить при сохранении" и проверьте вручную';
$string['ideone_pass'] = 'Пароль сервера Ideone';
$string['ideone_user'] = 'Пользователь сервера Ideone';
$string['info_unavailable'] = 'Информация о типе вопроса недоступна для настраиваемых вопросов.';
$string['inputcolhdr'] = 'Ввод';
$string['is_prototype'] = 'Использовать в качестве прототипа';
$string['iscombinatortemplate'] = 'Является комбинатором';
$string['jobe_apikey'] = 'API-ключ Jobe';
$string['jobe_apikey_desc'] = 'Ключ API, который должен быть включен во все запросы REST к серверу Jobe (если требуется). Максимум 40 символов. Оставьте пустым, чтобы исключить ключ API из запросов';
$string['jobe_host'] = 'Сервер Jobe';
$string['language'] = 'Язык песочницы';
$string['languages'] = 'Языки';
$string['mark'] = 'Оценка';
$string['marking'] = 'Распределение оценок';
$string['markinggroup'] = 'Оценивание';
$string['memorylimit'] = 'Лимит памяти (МБ)';
$string['missinganswers'] = 'недостающие ответы';
$string['missingoutput'] = 'Вы должны предоставить ожидаемый результат этого тестового примера.';
$string['missingprototypes'] = 'Недостающие прототипы';
$string['morehidden'] = 'Также есть неудачи в некоторых скрытых тестовых примерах.';
$string['nearequalitygrader'] = 'Почти точное совпадение';
$string['negativeorzeromark'] = 'Оценка должна быть больше нуля';
$string['noerrorsallowed'] = 'Ваш код должен пройти все тесты, чтобы заработать какие-либо оценки. Пробуйте снова.';
$string['nonnumericmark'] = 'Не числовая оценка';
$string['noqtype'] = 'Тип вопроса не выбран';
$string['options'] = 'Опции';
$string['ordering'] = 'Упорядочение';
$string['overallresult'] = 'Общий результат';
$string['pass'] = 'Пройти';
$string['passes'] = 'проходит';
$string['penaltyregime'] = '(штрафной режим: {$a} %)';
$string['penaltyregimelabel'] = 'Штрафной режим:';
$string['pluginname'] = 'CodeRunner';
$string['pluginname_link'] = 'question/type/coderunner';
$string['pluginnameadding'] = 'Добавление вопроса CodeRunner';
$string['pluginnameediting'] = 'Редактирование вопроса CodeRunner';
$string['pluginnamesummary'] = 'CodeRunner: запускает представленный студентом код в песочнице';
$string['precheck'] = 'Предварительная проверка';
$string['precheck_all'] = 'Все';
$string['precheck_disabled'] = 'Отключенный';
$string['precheck_empty'] = 'Пусто';
$string['precheck_examples'] = 'Примеры';
$string['precheck_help'] = 'Если включена Предварительная проверка, то у студентов будет дополнительная кнопка слева от обычной кнопки проверки, чтобы дать им возможность без штрафных санкций проверить свой код на подмножестве вопросов тестовых примеров.

Если выбран параметр "Пустой", то будет выполнен один запуск с шаблоном для каждого теста с использованием тестового примера, в котором все поля (testcode, stdin, expected и т.д.) являются пустой строкой. Непустой вывод считается ошибкой предварительной проверки. Используйте с осторожностью: некоторые типы вопросов не справляются с этим правильно, например вопросы «написания программ», которые генерируют выходные данные.

Если выбран параметр "Примеры", то код будет проверяться на соответствие во всех тестах, для которых был выбор "использовать как пример".

Если используется вариант «Выбранный», в каждый тестовый пример добавляется дополнительный элемент пользовательского интерфейса, позволяющий автору выбрать определенное подмножество тестов.

Если выбрано "Все", то запускаются все тестовые примеры (хотя их поведение может отличаться от обычной проверки, если так выбрано в коде шаблона).

Шаблон может проверить, является ли запуск предварительной проверкой, используя Параметр Twig {{ IS_PRECHECK }}, который равен "1" во время при выполнении предварительной проверки и "0" в противном случае.';
$string['precheck_only'] = 'Только предварительная проверка';
$string['precheck_selected'] = 'Выбранный';
$string['precheckingemptyset'] = 'Предварительно проверяются примеры, но их нет!';
$string['proceed_at_own_risk'] = 'Редактирование встроенного прототипа вопроса?! Действуйте на свой страх и риск!';
$string['prototypeQ'] = 'Это прототип?';
$string['prototype_error'] = '*** СБОЙ ЗАГРУЗКИ ПРОТОТИПА. НЕ СОХРАНЯЙТЕ ЭТО! ***';
$string['prototype_load_failure'] = 'Ошибка загрузки прототипа:';
$string['prototypecontrols'] = 'Контроль прототипа';
$string['prototypecontrols_help'] = 'Если "Является прототипом" истинно, этот вопрос становится прототипом для других вопросов. После сохранения имя указанного типа вопроса появится в раскрывающемся списке типов вопросов. Новые вопросы, основанные на этом типе, по умолчанию наследуют все атрибуты настройки, указанные для этого вопроса. Последующие изменения в этом вопросе будут влиять на все производные вопросы, если они сами не будут настроены, чтобы разрывать связь.

Прототипное наследование является только одноуровневым, поэтому этот вопрос при сохранении в качестве прототипа теряет связь с исходным базовым типом, сам становясь новым базовым типом.
Имейте в виду, что при экспорте производных вопросов вы должны убедиться, что этот вопрос также включен в экспорт, иначе производный вопрос будет потерянным при импорте в другую систему. Кроме того, вы должны отследить, какие вопросы вы используете в качестве прототипов; настоятельно рекомендуется переименовать вопрос во что-то вроде "PROTOTYPE_for_my_new_question_type"
для облегчения последующего обслуживания.';
$string['prototypeusage'] = 'Использование прототипа вопроса CodeRunner для курса {$a}';
$string['prototypeusageindex'] = 'Доступные курсы';
$string['qWrongBehaviour'] = 'Используйте Adaptive Behavior для всех вопросов CodeRunner, иначе производительность может сильно снизиться. Например, при повторном отображении страницы необходимо будет переоценить все вопросы на странице.';
$string['qtypehelp'] = 'Справка по типам вопросов';
$string['question_type_changed'] = 'Изменение типа вопроса. Нажмите «ОК», чтобы перезагрузить поля настройки или «Отмена», чтобы оставить свои.';
$string['questioncheckboxes_help'] = 'Чтобы настроить тип вопроса, например, отредактировать шаблоны вопросов или параметры песочницы, установите флажок "Настроить" и прочтите справку, доступную для новых видимых элементов формы, для получения дополнительной информации.

Если установлен флажок "Шаблон-отладка", то в выходных данных будет отображаться программа, сгенерированная для каждого тестового примера.';
$string['questionloaderror'] = 'Не удалось загрузить вопрос';
$string['questionpreview'] = 'Предварительный просмотр вопроса';
$string['questiontype'] = 'Тип вопроса';
$string['questiontype_help'] = 'Выберите конкретный тип вопроса.

В поле со списком выбирается один из встроенных типов, каждый из которых указывает определенный язык и, иногда, песочницу, в которой будет выполняться программа. Каждый тип вопроса имеет шаблон, который определяет, как исполняемая программа строится из данных тестового примера и ответа студента.

Шаблон можно просмотреть и дополнительно настроить, нажав на флажок "Настроить".

Если установлен флажок "Шаблон-отладка", то в выходных данных будет отображаться программа, сгенерированная для каждого тестового примера.';
$string['questiontype_required'] = 'Вы должны выбрать тип вопроса';
$string['questiontypedetails'] = 'Детали типа вопроса';
$string['regexgrader'] = 'Регулярное выражение';
$string['replacedollarscount'] = 'Эта категория содержит вопросы CodeRunner: {$a}.';
$string['resultcolumns'] = 'Столбцы результатов';
$string['resultcolumnsnotjson'] = 'Поле Result columns не является допустимой строкой JSON';
$string['resultcolumnsnotlist'] = 'Поле Result columns должно содержать JSON-кодированный список спецификаторов столбцов';
$string['resultcolumnspecbad'] = 'Найден недопустимый спецификатор столбца: каждый из них должен быть списком из двух или более строк';
$string['resultstring-abnormaltermination'] = 'Ненормальное завершение';
$string['resultstring-compilationerror'] = 'Ошибка компиляции';
$string['resultstring-illegalsyscall'] = 'Незаконный вызов функции';
$string['resultstring-internalerror'] = 'Ошибка CodeRunner (IE): пожалуйста, сообщите об этом преподавателю';
$string['resultstring-memorylimit'] = 'Превышен лимит памяти';
$string['resultstring-norun'] = 'Не запускать';
$string['resultstring-outputlimit'] = 'Чрезмерный выходной результат';
$string['resultstring-runtimeerror'] = 'Ошибка';
$string['resultstring-sandboxoverload'] = 'Перегрузка сервера песочницы. Может быть, попробуем еще раз в ближайшее время?';
$string['resultstring-sandboxpending'] = 'Ошибка CodeRunner (PD): пожалуйста, сообщите об этом преподавателю';
$string['resultstring-sandboxpolicy'] = 'Ошибка CodeRunner (BP): пожалуйста, сообщите об этом преподавателю';
$string['resultstring-success'] = 'ОК';
$string['resultstring-timelimit'] = 'Превышен лимит времени';
$string['run_failed'] = 'Не удалось выполнить тесты';
$string['sandboxcontrols'] = 'Песочница';
$string['sandboxerror'] = 'Ошибка из песочницы [{$a->sandbox}]: {$a->message}';
$string['sandboxparams'] = 'Параметры';
$string['seethisquestioninthequestionbank'] = 'См. этот вопрос в банке вопросов';
$string['showcolumns'] = 'Показать столбцы:';
$string['showcolumns_help'] = 'Выберите, какие столбцы таблицы результатов должны быть показаны учащимся. Пустые столбцы все равно будут скрыты.
Значения по умолчанию подходят в большинстве случаев.';
$string['showdifferences'] = 'Показать различия';
$string['showsource'] = 'Отладка шаблонов';
$string['sourcecodeallruns'] = 'Отладка: исходный код из всех тестовых запусков';
$string['stdin'] = 'Стандартный ввод';
$string['stdin_help'] = 'Стандартный ввод для теста, рассматриваемый шаблоном как {{TEST.stdin}}';
$string['supportscripts'] = 'Скрипты поддержки';
$string['syntax_errors'] = 'Синтаксическая ошибка(и)';
$string['template'] = 'Шаблон';
$string['template_changed'] = 'Изменен тестовый шаблон - отключить комбинатор? [«Отмена» оставляет его включенным.]';
$string['templatecontrols'] = 'Элементы управления шаблоном';
$string['templatecontrols_help'] = 'Установка флажка «Является комбинатором» означает, что шаблон является шаблоном комбинатора, который объединяет (или пытается объединить) ответ студента и все тестовые примеры в один прогон. Если этот флажок установлен, вам также нужно будет определить значение поля test_splitter_re, которое является регулярным выражением PHP, используемым для разделения выходных данных выполнения программы на набор отдельных тестовых запусков. Однако вам не нужно определять это, если вы также используете шаблонное оценивание, так как в этом случае код шаблона отвечает за разделение самого вывода и его оценку.

Шаблоны-комбинаторы не передают переменную TEST Twig. Вместо этого они получают переменную TESTCASES, которая представляет собой список всех тестов в вопросе. Обычно предполагается, что программа, созданная шаблоном, объединяет STUDENT_ANSWER и все TESTCASES в единую программу, которая при запуске выводит результаты тестирования из каждого тестового примера, разделенные уникальной строкой.
Строка разделителя определяется регулярным выражением, заданным ниже в поле формы test_splitter_re.

Однако, если в тестовых примерах определен стандартный ввод, шаблоны-комбинаторы становятся проблематичными. Если шаблон создает одну программу, каким должен быть стандартный ввод? Самое простое (и стандартное) решение - запускать тестовые примеры по одному, используя шаблон-комбинатор для построения каждой программы, передавая ему переменную TESTCASES, содержащую только один тест.
Этот «трюк» позволяет шаблону комбинатора выполнять двойную роль: он ведет себя как шаблон для каждого тестового примера (с массивом TESTCASES из 1 элемента), когда автор вопроса предоставляет стандартный ввод, но как правильный комбинатор (с массивом TESTCASES из n элементов) в противном случае. Для изменения такого поведения (чтобы комбинатор принимал все тестовые примеры) даже если присутствует стандартный ввод, установите флажок «Разрешить несколько стандартных вводов».

Если запуск программы combinator приводит к какому-либо выходу в stderr, это
интерпретируется как ошибка запуска. Чтобы гарантировать, что ученик получит зачет за как можно больше действительных тестов, система ведет себя так же, как и при наличии стандартных входных данных, возвращаясь к выполнению каждого теста отдельно. Однако это не относится к комбинаторным грейдерам, которые должны иметь дело со всеми сами ошибки времени выполнения и всегда должны возвращать допустимый результат JSON.

Если запуск программы комбинатора приводит к любому выводу в stderr, это интерпретируется как ошибка выполнения. Чтобы гарантировать, что студент получит баллы как за как можно больше пройденных тестов, система ведет себя так же, как и при наличии стандартных входных данных, возвращаясь к выполнению каждого теста отдельно. Однако это не относится к комбинаторным оценщикам, которые должны самостоятельно обрабатывать все ошибки времени выполнения и всегда должны возвращать допустимый результат JSON.';
$string['templateerror'] = 'ОШИБКА ШАБЛОНА';
$string['templategrader'] = 'Шаблон-оценщик';
$string['templateparams'] = 'Параметры шаблона';
$string['testcase'] = 'Тестовый пример {$a}';
$string['testcasecontrols'] = 'Свойства теста:';
$string['testcasecontrols_help'] = 'Если установлен флажок "Использовать как пример", то этот тест будет автоматически включен в таблицу результатов вопроса "Для примера:".

Выпадающий список "Отобразить" определяет, когда этот тестовый пример будет показан студенту в таблице результатов.

Если установлен флажок "Скрыть остальные в случае неудачи" и этот тест не пройден, то все последующие тесты будут скрыты от ученика, независимо от настройки выпадающего списка "Отобразить".

"Оценка" задает значение этого тестового примера; имеет смысл только в том случае, если это не вопрос "Все или ничего".

"Упорядочение" может быть использовано для изменения порядка тестовых примеров при сохранении вопроса: тестовые примеры упорядочиваются по этому полю.';
$string['testcases'] = 'Тестовые примеры';
$string['testcode'] = 'Код теста';
$string['testcode_help'] = 'Код для теста, рассматриваемый шаблоном как {{TEST.testcode}}';
$string['testcolhdr'] = 'Тест';
$string['testingquestion'] = 'Тестовый вопрос {$a}';
$string['testsplitterre'] = 'Тестовый разделитель (регулярное выражение)';
$string['testtype'] = 'Тип теста предварительной проверки';
$string['testtype_both'] = 'Оба';
$string['testtype_help'] = 'Если включена предварительная проверка и установлено значение "Выбранный", то этот параметр определяет, будет ли тест использоваться только при обычном запуске, только при предварительном запуске или в обоих запусках. Если предварительная проверка установлена на что-либо другое, кроме "Выбранный", эта настройка игнорируется.';
$string['testtype_normal'] = 'Только проверка';
$string['testtype_precheck'] = 'Только предварительная проверка';
$string['tooshort'] = 'Ответ слишком короткий, чтобы быть осмысленным, и был проигнорирован без штрафа';
$string['type_header'] = 'Тип вопроса CodeRunner';
$string['typename'] = 'Тип вопроса';
$string['typerequired'] = 'Выберите тип вопроса (язык, формат и т.д.)';
$string['unauthorisedbulktest'] = 'У вас нет соответствующего доступа к любым вопросам CodeRunner';
$string['unknownerror'] = 'Произошла непредвиденная ошибка. Песочница может быть недоступна. Попробуйте еще раз.';
$string['useasexample'] = 'Использовать как пример';
$string['validateonsave'] = 'Подтвердить при сохранении';
$string['xmlcoderunnerformaterror'] = 'Ошибка формата XML в вопросе Сoderunner';
